Skip to main content

Retrieve Remita Collections

Overview​

Retrieves a paginated list of individual Remita collection records. Supports filtering by batch ID, loan request, posting status, and date range.

Command Details​

  • Command: RetrieveRemitaCollectionsQuery
  • Type: Query

API Endpoint​

POST /api/bpm/cmd

Request Structure​

FieldTypeRequiredDescription
pageNumberintNoPage number for pagination (default: 1)
pageSizeintNoNumber of records per page (default: 10)
batchIdlongNoFilter by batch ID
loanRequestIdlongNoFilter by loan request ID
isPostedboolNoFilter by posting status
isExportboolNoExport mode for bulk retrieval (default: false)
startDatestringNoFilter collections created on or after this date (ISO 8601)
endDatestringNoFilter collections created on or before this date (ISO 8601)

Try It Out​

POST/api/bpm/cmdRetrieveRemitaCollectionsQuery
Request Body

Response Structure​

{
"success": true,
"data": {
"items": [
{
"id": 7001,
"batchId": 3001,
"loanRequestId": 5001,
"amount": 50000.00,
"status": "Successful",
"isPosted": true,
"createdAt": "2026-03-08T10:30:00Z"
},
{
"id": 7002,
"batchId": 3001,
"loanRequestId": 5002,
"amount": 75000.00,
"status": "Successful",
"isPosted": false,
"createdAt": "2026-03-08T10:30:00Z"
}
],
"totalCount": 24,
"pageNumber": 1,
"pageSize": 10
},
"message": "Collections retrieved successfully"
}